> ## Documentation Index
> Fetch the complete documentation index at: https://docs.appcharge.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Daily Bonus Design

> 
Deletes a daily bonus design. 

**Note:** You can't delete an offer design while it's in use by an offer.


<RequestExample>
  ```bash Delete Daily Bonus Design theme={"system"}
  curl -X DELETE \
    'https://api.appcharge.com/components/v1/offer-design/daily-bonus-design' \
    -H 'Content-Type: application/json' \
    -H 'Accept: application/json' \
    -H 'x-publisher-token: <x-publisher-token>'
  ```
</RequestExample>

<ResponseExample>
  ```json Delete Daily Bonus Design theme={"system"}
  {
    "id": "68cbf09967ba5ab776c2745e",
    "offerUiType": "PopUp",
    "offerUiSubType": "DailyBonus",
    "name": "Daily Bonus Design",
    "externalId": "daily-bonus-design",
    "backgroundImageUrl": "https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/background.png",
    "title": {
      "text": "Your daily bonus!",
      "fontColor": "#FFFFFF",
      "fontSize": 20,
      "fontWeight": "normal"
    }
  }
  ```
</ResponseExample>


## OpenAPI

````yaml openapi-daily-bonus-design.json DELETE /components/v1/offer-design/{externalId}
openapi: 3.0.3
info:
  title: Daily Bonus Designs API
  version: 1.0.0
servers:
  - url: https://api-sandbox.appcharge.com
security:
  - PublisherTokenAuth: []
tags:
  - name: Offer Designs
paths:
  /components/v1/offer-design/{externalId}:
    parameters:
      - in: path
        name: externalId
        required: true
        schema:
          type: string
        description: Design ID that you defined.
    delete:
      tags:
        - Offer Designs
      description: Deletes a daily bonus design.
      responses:
        '200':
          description: Daily bonus design deleted successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DailyBonusDesignResponse'
        '404':
          description: Offer design not found.
components:
  schemas:
    DailyBonusDesignResponse:
      title: Daily Bonus Design
      type: object
      properties:
        id:
          type: string
          description: Design ID.
          example: 68cbf09967ba5ab776c2745e
        offerUiType:
          type: string
          enum:
            - PopUp
          description: Type of offer design.
          example: PopUp
        name:
          type: string
          description: Offer design name.
          example: Daily Bonus Design Updated
        externalId:
          type: string
          description: Design ID that you defined.
          example: daily-bonus-design
        backgroundImageUrl:
          type: string
          format: url
          description: >-
            Background image URL. For uploaded files, this is the
            Appcharge-hosted CDN URL. For external image URLs, this is the
            original image URL served from the provided URL.
          example: >-
            https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/background-v2.png
        title:
          allOf:
            - $ref: '#/components/schemas/OfferTitleResponse'
        externalBackgroundImageUrl:
          type: string
          format: url
          description: >-
            Original background image URL when the design uses an external image
            URL. This URL is used as provided to serve the image.
          example: https://cdn.example.com/assets/background.png
        offerUiSubType:
          type: string
          enum:
            - DailyBonus
          description: Popup design subtype.
          example: DailyBonus
    OfferTitleResponse:
      type: object
      properties:
        text:
          type: string
          description: Offer title.
          example: Your daily bonus!
        fontColor:
          type: string
          description: Title font color.
          example: '#FFFFFF'
        fontSize:
          type: number
          description: Font size in pixels.
          example: 20
        fontWeight:
          type: string
          description: Font weight.
          example: normal
  securitySchemes:
    PublisherTokenAuth:
      type: apiKey
      in: header
      name: x-publisher-token
      description: Publisher token, as displayed in the Publisher Dashboard.

````